%global momorel 1
%global src1name dv2sub
%global src1ver 0.3

# mediabackend is --with-xine-support or --with-mplayer-support
%global mediabackend --with-xine-support

Summary: GUI frontend for dvdauthor and other related tools
Name:    qdvdauthor
Version: 1.5.0
Release: %{momorel}m%{?dist}
Group:   Applications/Multimedia
License: GPL
URL:     http://qdvdauthor.sourceforge.net/
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}-2.tar.gz
NoSource: 0
Source1: http://dl.sourceforge.net/sourceforge/%{src1name}/%{src1name}-%{src1ver}.tar.gz
NoSource: 1
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: dvdauthor
Requires: netpbm
Requires: netpbm-progs
Requires: sox
Requires: xine-lib
BuildRequires: desktop-file-utils
BuildRequires: freetype-devel
BuildRequires: libdv-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libtiff-devel
BuildRequires: libxml2-devel
BuildRequires: mjpegtools-devel
BuildRequires: qt3-devel
BuildRequires: xine-lib

%description
QDVDAuthor is a gui frontend for using dvdauthor and dvd-slideshow 
scripts to easily build DVD menus and assemble the DVD VOB files. 
This package includes a patched copy of %{dvd_slideshow} in the 
installation and requires %{media_backend}.

%prep
# clean up dv2sub
rm -rf 

%setup -q -b 1
find . -type d -name CVS | xargs rm -rf

# get rid of binary for x86_64 dependency
rm -f bin/dv2sub

# for docs
pushd %{_builddir}/%{src1name}-%{src1ver}
mv -f AUTHORS AUTHORS.dv2sub
mv -f COPYING COPYING.dv2sub
mv -f ChangeLog ChangeLog.dv2sub
mv -f README README.dv2sub
mv -f TODO TODO.dv2sub
popd

%build
./configure --prefix=%{_prefix}  --build-qplayer --build-qslideshow %{mediabackend}

# build dv2sub
pushd %{_builddir}/%{src1name}-%{src1ver}
CFLAGS="%{optflags}" \
./configure --prefix=%{_prefix}
make %{?_smp_mflags}
popd 

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

# install qdvdauthor
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/qdvdauthor/i18n
mkdir -p %{buildroot}%{_datadir}/qdvdauthor/html/en
install -m 755 bin/qdvdauthor %{buildroot}%{_bindir}/
install -m 755 bin/qslideshow %{buildroot}%{_bindir}/
install -m 755 bin/qplayer %{buildroot}%{_bindir}/
install -m 755 bin/dvd-slideshow %{buildroot}%{_bindir}/
install -m 644 qdvdauthor.png %{buildroot}%{_datadir}/pixmaps/
install -m 644 doc/html/en/*.html %{buildroot}%{_datadir}/qdvdauthor/html/en
install -m 644 silence.mp2 %{buildroot}%{_datadir}/qdvdauthor

# install dv2sub
pushd %{_builddir}/%{src1name}-%{src1ver}
install -m 755 src/dv2sub %{buildroot}%{_bindir}/
install -m 644 doc/dv2sub.1 %{buildroot}%{_mandir}/man1/
popd

cp -p qdvdauthor/i18n/*.qm %{buildroot}%{_datadir}/qdvdauthor/i18n/

# install desktop file
desktop-file-install --vendor= \
  --dir %{buildroot}%{_datadir}/applications \
  --remove-category Application \
  ./%{name}.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGELOG COPYING INSTALL README TODO
%doc ../%{src1name}-%{src1ver}/*.dv2sub
%{_bindir}/*
%{_datadir}/applications/qdvdauthor.desktop
%{_datadir}/qdvdauthor
%{_mandir}/man1/dv2sub.1*
%{_datadir}/pixmaps/qdvdauthor.png

%changelog
* Mon Aug 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.5.0-1m)
- update to 1.5.0

* Tue May 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2.0-1m)
- update to 1.2.0

* Tue May 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.0-6m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.0-5m)
- rebuild against gcc43

* Wed Feb 13 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.0-4m)
- add gcc43 patch

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.0-3m)
- %%NoSource -> NoSource

* Mon Jan 28 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.0-2m)
- replace dv2sub from pre-built binary to Source1 for x86_64 dependency
- add %%description

* Mon Jan 21 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.0-1m)
- update to 1.0.0 final

* Tue May 29 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.0.0-0.1.1m)
- update to 1.0.0 rc1

* Thu Apr 12 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.1.5-1m)
- build for Momonga
